The Hackerlab at `regexps.com`

## arch Web Site Generation Tools

up: arch

To be documented:

       % larch make-library-browser --help
        create or update a library browser
        usage: make-library-browser [options] output-dir [limit]

         -V --version                  print version info
         -h --help                     display help

         --silent                      no output (except odd errors)
         --quiet                       brief output
         --report                      default output
         --verbose                     maximal output
         --debug                       debugging output

         -t --title TITLE              set the page title
         --dists FILE                  specify a distributions spec file
         --configs FILE                specify a configurations spec file

        Create or update web pages describing a revision library.

and

      % larch update-distributions --help
      build or update an FTP area
      usage: update-distributions [options] [archive/]revision dist-name ftp-dir

       -V --version                  print version info
       -h --help                     display help

       -R --root root                specify the local archive root
       -A --archive archive          specify the archive name
        --cache DIR                  cache directory for locally cached
                                       revisions

       --config NAME                 after checking out the revision, pass
                                      NAME to "build-config" to complete
                                      the source tree.

       --silent                      no output (except odd errors)
       --quiet                       brief output
       --report                      default output
       --verbose                     maximal output
       --debug                       debugging output

      Ensure that FTP-DIR exists and is populated with the indicated revision
      from the archive.

      The tar file will be named:

            DIST-NAME-${VERSION}${SUFFIX}

      where VERSION is the version number of the revision being packaged, and
      SUFFIX is derived from the patch-level name of the revision.

      The value of ${SUFFIX} depends on the revision's patch level, as in
      these examples:

            revision:                               tar file:

            arch--release--1.0--base-0              arch-1.0pre0.tar.gz
            arch--release--1.0--patch-3             arch-1.0pre3.tar.gz
            arch--release--1.0--version-0           arch-1.0.tar.gz
            arch--release--1.0--versionfix-5        arch-1.0.5.tar.gz

      The top-level directory in the tar file has the same name as the tar
      file (but without the ".tar.gz" suffix).

arch: The arch Revision Control System
The Hackerlab at `regexps.com`